name: chat
description: A new Flutter project.
#修改版本号后get-clean
version: 1.1.0+15

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter_localizations:
    sdk: flutter
  flutter:
    sdk: flutter

  cached_network_image: ^2.0.0
  dio: ^3.0.7
  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.2
  json_annotation: ^2.0.0
  web_socket_channel: ^1.0.14
  buffer: ^1.0.6
  protobuf: ^0.13.16
  image_picker: ^0.6.3+4
  city_pickers: ^0.1.22

  #作者git最新版修了闪退bug-
  photo_manager:
    git: https://github.com/CaiJingLong/flutter_photo_manager.git

  #微信登录
  fluwx_no_pay: ^1.0.0
  flutter_swiper: ^1.1.6

  #facebook登陆
  flutter_facebook_login: ^3.0.0
  
  oktoast: ^2.1.9
  
  #压缩
#  flutter_image_compress: ^0.6.3
  flutter_native_image: ^0.0.5  #https://github.com/btastic/flutter_native_image
  #视频封面
  video_thumbnail: ^0.1.6

  #权限
  permission_handler: ^4.0.0

  location_permissions: ^2.0.3
#  audioplayer: ^0.5.2
  audioplayer:
    git: https://github.com/randomjoho/audioplayer.git


  flutter_audio_recorder: ^0.5.4

  image_cropper : '^1.1.0'

  video_player: ^0.10.3+3

  flutter_ijkplayer: ^0.3.5+1

  shared_preferences: ^0.5.6+2

  extended_image: ^0.7.1
  extended_image_library: ^0.2.0

  url_launcher: '^5.1.3'

  share: ^0.6.2+4

  #下拉刷新控件
  pull_to_refresh: ^1.5.7

  #crc32
  crclib: ^1.0.1

  #数据存
  sqflite: ^1.1.6+5
  provider: ^3.1.0+1
  path_provider: ^1.5.0

  auto_orientation: ^1.0.5

  #声网
  agora_rtc_engine: any

  #网络
  connectivity: ^0.4.5+2

  keyboard_utils: ^1.0.0
  
  flutter_screenutil: ^0.5.3

  flutter_inapp_purchase: ^2.0.4

  #地图
  android_intent: ^0.3.4+4
  geolocator: ^5.1.5

  location: ^2.3.5

  amap_location:
    git: https://github.com/randomjoho/flutter_amap_location.git

  google_maps_flutter: 0.5.21+11
  #修改了长按逻辑
  extended_text:
    git: https://github.com/randomjoho/extended_text.git

  extended_text_field:
    git: https://github.com/randomjoho/extended_text_field.git

  #本地推送
  flutter_local_notifications: 0.8.4+3
  rxdart: ^0.22.6
  #推送-设置桌面角标
  flutter_app_badger:
    git: https://github.com/randomjoho/flutter_app_badger.git

  #日期选择
  flutter_datetime_picker: ^1.2.8

  #获取通讯录
  easy_contact_picker: ^0.0.2
  #聊天长按菜单-修改了弹出位置
  menu:
    git: https://github.com/randomjoho/flutter_long_tap_menu.git
#  w_popup_menu: ^0.3.0
  
  #进度条
  percent_indicator: ^2.1.1+1
  #版本信息
  package_info: ^0.4.0+12
  #APP安装-市场跳转-修改了安卓闪退问题
  app_installer:
    git: https://github.com/randomjoho/app_installer.git
  #苹果登录
  apple_sign_in: ^0.1.0
  
  #二维码
  qr_flutter: ^3.1.0
  flutter_qr_reader: ^1.0.3

  #wifi信息
  wifi_info_plugin: ^1.0.6

  #nested_scroll_view 为了ios刷动不回弹
  extended_nested_scroll_view: ^0.3.8

  #极光推送 -build里面版本升级了才收到厂商推送
  jpush_flutter:
    git: https://github.com/randomjoho/jpush-flutter-plugin.git

  #文字转拼音
  lpinyin: ^1.0.7

  #网页-支付跳转
  flutter_webview_plugin: ^0.3.10
#  firebase_auth: ^0.15.3

  #图片保存
  image_gallery_saver: ^1.2.2

  #文档预览打开
#  flutter_filereader: ^1.0.0

  #接收分享
  receive_sharing_intent: ^1.3.3

  flutter_bugly: ^0.2.8
  #文件选择
  file_picker: ^1.4.3+2
  #文件打开
  open_file: ^3.0.1
  #文件分享
  share_extend: ^1.1.1
  #多图片选择
  multi_image_picker: ^4.6.4
  #设备信息
  device_info: ^0.4.2+1
  #跳转到指定索引
  scroll_to_index: any
  #震动反馈
  vibration: ^1.2.4

dev_dependencies:
  flutter_test:
    sdk: flutter
  json_serializable: ^2.0.0
  json_model: ^0.0.2


# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    # assets-generator-begin
    # assets/images/*
    - assets/images/img_realtime_bg2.png
    - assets/images/bofang.png
    - assets/images/ic_quick_search.png
    - assets/images/img_temp_share.png
    - assets/images/img_realtime_bg1.png
    - assets/images/ic_tag.png
    - assets/images/default_nor_avatar.png
    - assets/images/server_icon.png
    - assets/images/ic_public_account.png
    - assets/images/ic_feeds.png
    - assets/images/daily_bg_1.png
    - assets/images/img_translation_no.png
    - assets/images/img_check_photo_bg.png
    - assets/images/yqm_bg.png
    - assets/images/daily_bg_2.png
    - assets/images/ext_excel.png
    - assets/images/img_fyj.png
    - assets/images/right_gray.png
    - assets/images/ic_group_chat.png
    - assets/images/img_temp_see.png
    - assets/images/ext_pdf.png
    - assets/images/ext_ppt.png
    - assets/images/ic_mini_program.png
    - assets/images/ic_shake_phone.png
    - assets/images/img_translation_no_p.png
    - assets/images/ic_game_entry.png
    - assets/images/img_translation_yes.png
    - assets/images/daily_icon.png
    - assets/images/left_gray.png
    - assets/images/ic_social_circle.png
    - assets/images/ext_apk.png
    - assets/images/svip.png
    - assets/images/ic_qrcode_preview_tiny.png
    - assets/images/img_tran_icon.png
    - assets/images/ic_album.png
    - assets/images/zhiwen.png
    - assets/images/net_error.png
    - assets/images/ic_emotions.png
    - assets/images/ext_video.png
    - assets/images/ext_word.png
    - assets/images/img_temp_hy.png
    - assets/images/hand.png
    - assets/images/qianbao_bg.png
    - assets/images/img_splash_3.png
    - assets/images/img_update_bg.png
    - assets/images/daily_btn_1.png
    - assets/images/chat_item_4.png
    - assets/images/chat_item_5.png
    - assets/images/ic_people_nearby.png
    - assets/images/img_splash_2.png
    - assets/images/ic_tx_news.png
    - assets/images/service_icon.png
    - assets/images/daily_btn_2.png
    - assets/images/chat_item_7.png
    - assets/images/img_temp_qb.png
    - assets/images/img_travel_butler.png
    - assets/images/chat_item_6.png
    - assets/images/img_long_index.png
    - assets/images/img_splash_1.png
    - assets/images/img_translation_yes_p.png
    - assets/images/daily_coin.png
    - assets/images/img_splash_5.png
    - assets/images/ic_new_friend.png
    - assets/images/ic_settings.png
    - assets/images/ic_cards_wallet.png
    - assets/images/chat_item_2.png
    - assets/images/chat_item_3.png
    - assets/images/robot.jpg
    - assets/images/ext_sound.png
    - assets/images/img_splash_4.png
    - assets/images/ext_zip.png
    - assets/images/chat_item_1.png
    - assets/images/img_temp_qd.png
    - assets/images/img_translation_butler.png
    - assets/images/left_white.png
    - assets/images/voucher.png
    - assets/images/VIP.png
    - assets/images/ic_wallet.png
    - assets/images/right_white.png
    - assets/images/ic_collections.png
    - assets/images/gift_show_2_4.png
    - assets/images/ic_wx_games.png
    - assets/images/ic_shopping.png
    - assets/images/ic_fengchao.png
    - assets/images/ic_file_transfer.png
    - assets/images/suo.png
    - assets/images/red_packet_bg.png
    - assets/images/gift_show_2_3.png
    - assets/images/ext_unknown.png
    - assets/images/coin.png
    - assets/images/gift_anim_3.gif
    - assets/images/gift_anim_2.gif
    - assets/images/gift_1.png
    - assets/images/back.png
    - assets/images/gift_show_2_2.png
    - assets/images/gift_3.png
    - assets/images/ic_quick_scan.png
    - assets/images/img_translation_icon.png
    - assets/images/img_translation_tick.png
    - assets/images/ic_bottle_msg.png
    - assets/images/gift_anim_1.gif
    - assets/images/bg.png
    - assets/images/gift_2.png
    - assets/images/ext_txt.png
    - assets/images/gift_show_2_1.png
    # assets/images/chat/*
    - assets/images/chat/emoji.png
    - assets/images/chat/onion.png
    - assets/images/chat/icon1.png
    - assets/images/chat/icon3.png
    - assets/images/chat/icon2.png
    - assets/images/chat/icon6.png
    - assets/images/chat/icon5.png
    - assets/images/chat/icon4.png
    # assets/images/login/*
    - assets/images/login/vip_wx.png
    - assets/images/login/vip_logio.png
    - assets/images/login/lock.png
    - assets/images/login/vip_rect1.png
    - assets/images/login/vip_rect3.png
    - assets/images/login/vip_rect2.png
    - assets/images/login/vip_zfb.png
    - assets/images/login/dly_icon3.png
    - assets/images/login/dly_icon2.png
    - assets/images/login/SY_bg.png
    - assets/images/login/dly_logo.png
    - assets/images/login/vip_other.png
    - assets/images/login/dly_icon1.png
    - assets/images/login/rzzx.png
    - assets/images/login/dly_icon4.png
    - assets/images/login/money.png
    - assets/images/login/SY_logo.png
    - assets/images/login/delete.png
    - assets/images/login/xzxb_male.png
    - assets/images/login/xzxb_female.png
    # assets/images/park/*
    - assets/images/park/qz_icon8.png
    - assets/images/park/qz_icon1.png
    - assets/images/park/qz_icon2.png
    - assets/images/park/qz_icon3.png
    - assets/images/park/qz_icon7.png
    - assets/images/park/qz_icon6.png
    - assets/images/park/qz_icon4.png
    - assets/images/park/qz_icon5.png
    # assets/images/sticker/*
    - assets/images/sticker/sticker_11.gif
    - assets/images/sticker/sticker_7.gif
    - assets/images/sticker/sticker_6.gif
    - assets/images/sticker/sticker_10.gif
    - assets/images/sticker/sticker_12.gif
    - assets/images/sticker/sticker_4.gif
    - assets/images/sticker/sticker_5.gif
    - assets/images/sticker/sticker_13.gif
    - assets/images/sticker/sticker_17.gif
    - assets/images/sticker/sticker_1.gif
    - assets/images/sticker/sticker_16.gif
    - assets/images/sticker/sticker_14.gif
    - assets/images/sticker/sticker_28.gif
    - assets/images/sticker/sticker_2.gif
    - assets/images/sticker/sticker_3.gif
    - assets/images/sticker/sticker_29.gif
    - assets/images/sticker/sticker_15.gif
    - assets/images/sticker/sticker_18.gif
    - assets/images/sticker/sticker_24.gif
    - assets/images/sticker/sticker_30.gif
    - assets/images/sticker/sticker_25.gif
    - assets/images/sticker/sticker_19.gif
    - assets/images/sticker/sticker_27.gif
    - assets/images/sticker/sticker_26.gif
    - assets/images/sticker/sticker_22.gif
    - assets/images/sticker/sticker_8.gif
    - assets/images/sticker/sticker_9.gif
    - assets/images/sticker/sticker_23.gif
    - assets/images/sticker/sticker_21.gif
    - assets/images/sticker/sticker_20.gif
    # assets/images/vip/*
    - assets/images/vip/hy_bg.png
    - assets/images/vip/hy_tj.png
    - assets/images/vip/hy_xz.png
    - assets/images/vip/hy_cjhy.png
    - assets/images/vip/hy_hy.png
    - assets/images/vip/hy_tq.png
    # assets/images/emojiface/*
    - assets/images/emojiface/88.png
    - assets/images/emojiface/77.png
    - assets/images/emojiface/63.png
    - assets/images/emojiface/62.png
    - assets/images/emojiface/76.png
    - assets/images/emojiface/89.png
    - assets/images/emojiface/60.png
    - assets/images/emojiface/74.png
    - assets/images/emojiface/48.png
    - assets/images/emojiface/49.png
    - assets/images/emojiface/75.png
    - assets/images/emojiface/61.png
    - assets/images/emojiface/59.png
    - assets/images/emojiface/65.png
    - assets/images/emojiface/71.png
    - assets/images/emojiface/70.png
    - assets/images/emojiface/64.png
    - assets/images/emojiface/58.png
    - assets/images/emojiface/8.png
    - assets/images/emojiface/72.png
    - assets/images/emojiface/66.png
    - assets/images/emojiface/67.png
    - assets/images/emojiface/73.png
    - assets/images/emojiface/9.png
    - assets/images/emojiface/14.png
    - assets/images/emojiface/28.png
    - assets/images/emojiface/29.png
    - assets/images/emojiface/15.png
    - assets/images/emojiface/17.png
    - assets/images/emojiface/16.png
    - assets/images/emojiface/12.png
    - assets/images/emojiface/13.png
    - assets/images/emojiface/39.png
    - assets/images/emojiface/11.png
    - assets/images/emojiface/10.png
    - assets/images/emojiface/38.png
    - assets/images/emojiface/35.png
    - assets/images/emojiface/21.png
    - assets/images/emojiface/20.png
    - assets/images/emojiface/34.png
    - assets/images/emojiface/22.png
    - assets/images/emojiface/36.png
    - assets/images/emojiface/37.png
    - assets/images/emojiface/23.png
    - assets/images/emojiface/27.png
    - assets/images/emojiface/33.png
    - assets/images/emojiface/32.png
    - assets/images/emojiface/26.png
    - assets/images/emojiface/18.png
    - assets/images/emojiface/30.png
    - assets/images/emojiface/24.png
    - assets/images/emojiface/25.png
    - assets/images/emojiface/31.png
    - assets/images/emojiface/19.png
    - assets/images/emojiface/81.png
    - assets/images/emojiface/4.png
    - assets/images/emojiface/56.png
    - assets/images/emojiface/42.png
    - assets/images/emojiface/43.png
    - assets/images/emojiface/5.png
    - assets/images/emojiface/57.png
    - assets/images/emojiface/80.png
    - assets/images/emojiface/82.png
    - assets/images/emojiface/41.png
    - assets/images/emojiface/55.png
    - assets/images/emojiface/7.png
    - assets/images/emojiface/69.png
    - assets/images/emojiface/68.png
    - assets/images/emojiface/54.png
    - assets/images/emojiface/6.png
    - assets/images/emojiface/40.png
    - assets/images/emojiface/83.png
    - assets/images/emojiface/87.png
    - assets/images/emojiface/78.png
    - assets/images/emojiface/44.png
    - assets/images/emojiface/2.png
    - assets/images/emojiface/50.png
    - assets/images/emojiface/3.png
    - assets/images/emojiface/51.png
    - assets/images/emojiface/45.png
    - assets/images/emojiface/79.png
    - assets/images/emojiface/86.png
    - assets/images/emojiface/90.png
    - assets/images/emojiface/84.png
    - assets/images/emojiface/53.png
    - assets/images/emojiface/1.png
    - assets/images/emojiface/47.png
    - assets/images/emojiface/46.png
    - assets/images/emojiface/52.png
    - assets/images/emojiface/85.png
    # assets-generator-end

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For

  fonts:
    - family: iconfont
      fonts:
       - asset: assets/fonts/iconfont.ttf
